//=============================================================================
//
// DECKADANCE COMMANDS
//

enum COMMANDS
{
    PLAY_PAUSE_A = 1, // set toggles play pause state (no params), get returns playing state
	PLAY_PAUSE_B = 2,
	PLAY_PAUSE_C = 3,
	PLAY_PAUSE_D = 4,
	PLAY_SYNCHRONIZED_A = 5, // set starts playing synchronized (no params), get returns playing state
	PLAY_SYNCHRONIZED_B = 6,
	PLAY_SYNCHRONIZED_C = 7,
	PLAY_SYNCHRONIZED_D = 8,
	MASTER_A = 9, // set selects master (no params), get returns master state
	MASTER_B = 10,
	MASTER_C = 11,
	MASTER_D = 12,
	SYNC_A = 13, // set syncs momentary (no params), get returns sync state
	SYNC_B = 14,
	SYNC_C = 15,
	SYNC_D = 16,
	SYNC_LOCK_A = 17, // set syncs locking (no params), get returns sync state
	SYNC_LOCK_B = 18,
	SYNC_LOCK_C = 19,
	SYNC_LOCK_D = 20,
	PITCH_A = 21, // set changes pitch value (param1: from 0.0 to 1.0), get returns pitch value
	PITCH_B = 22,
	PITCH_C = 23,
	PITCH_D = 24,
	PITCH_RESET_A = 25, // set resets pitch (no params), get returns pitch value
	PITCH_RESET_B = 26,
	PITCH_RESET_C = 27,
	PITCH_RESET_D = 28,
	PITCH_BEND_NUDGE_MINUS_A = 29, // set changes nudge state (param1: 0 is off & 1 is on), get returns nudge state
	PITCH_BEND_NUDGE_MINUS_B = 30,
	PITCH_BEND_NUDGE_MINUS_C = 31,
	PITCH_BEND_NUDGE_MINUS_D = 32,
	PITCH_BEND_NUDGE_PLUS_A = 33,
	PITCH_BEND_NUDGE_PLUS_B = 34,
	PITCH_BEND_NUDGE_PLUS_C = 35,
	PITCH_BEND_NUDGE_PLUS_D = 36,
	KEY_TUNING_A = 37, // set changes key value (param1: from 0.0 to 1.0), get returns key value
	KEY_TUNING_B = 38,
	KEY_TUNING_C = 39,
	KEY_TUNING_D = 40,
	KEY_LOCK_A = 41, // set changes key lock state (no params), get returns key lock state
	KEY_LOCK_B = 42,
	KEY_LOCK_C = 43,
	KEY_LOCK_D = 44,
	CUE_A = 45, // set toggles cue state (no params), get returns cue state
	CUE_B = 46,
	CUE_C = 47,
	CUE_D = 48,
	HOT_CUE_1_A = 49, // set saves hot cue (no params), get returns if hot cue is set 
	HOT_CUE_1_B = 50,
	HOT_CUE_1_C = 51,
	HOT_CUE_1_D = 52,
	HOT_CUE_2_A = 53,
	HOT_CUE_2_B = 54,
	HOT_CUE_2_C = 55,
	HOT_CUE_2_D = 56,
	HOT_CUE_3_A = 57,
	HOT_CUE_3_B = 58,
	HOT_CUE_3_C = 59,
	HOT_CUE_3_D = 60,
	HOT_CUE_4_A = 61,
	HOT_CUE_4_B = 62,
	HOT_CUE_4_C = 63,
	HOT_CUE_4_D = 64,
	HOT_CUE_5_A = 65,
	HOT_CUE_5_B = 66,
	HOT_CUE_5_C = 67,
	HOT_CUE_5_D = 68,
	HOT_CUE_6_A = 69,
	HOT_CUE_6_B = 70,
	HOT_CUE_6_C = 71,
	HOT_CUE_6_D = 72,
	HOT_CUE_7_A = 73,
	HOT_CUE_7_B = 74,
	HOT_CUE_7_C = 75,
	HOT_CUE_7_D = 76,
	HOT_CUE_8_A = 77,
	HOT_CUE_8_B = 78,
	HOT_CUE_8_C = 79,
	HOT_CUE_8_D = 80,
	DELETE_HOT_CUE_1_A = 81, // set deletes hot cue (no params), get returns if hot cue is set 
	DELETE_HOT_CUE_1_B = 82,
	DELETE_HOT_CUE_1_C = 83,
	DELETE_HOT_CUE_1_D = 84,
	DELETE_HOT_CUE_2_A = 85,
	DELETE_HOT_CUE_2_B = 86,
	DELETE_HOT_CUE_2_C = 87,
	DELETE_HOT_CUE_2_D = 88,
	DELETE_HOT_CUE_3_A = 89,
	DELETE_HOT_CUE_3_B = 90,
	DELETE_HOT_CUE_3_C = 91,
	DELETE_HOT_CUE_3_D = 92,
	DELETE_HOT_CUE_4_A = 93,
	DELETE_HOT_CUE_4_B = 94,
	DELETE_HOT_CUE_4_C = 95,
	DELETE_HOT_CUE_4_D = 96,
	DELETE_HOT_CUE_5_A = 97,
	DELETE_HOT_CUE_5_B = 98,
	DELETE_HOT_CUE_5_C = 99,
	DELETE_HOT_CUE_5_D = 100,
	DELETE_HOT_CUE_6_A = 101,
	DELETE_HOT_CUE_6_B = 102,
	DELETE_HOT_CUE_6_C = 103,
	DELETE_HOT_CUE_6_D = 104,
	DELETE_HOT_CUE_7_A = 105,
	DELETE_HOT_CUE_7_B = 106,
	DELETE_HOT_CUE_7_C = 107,
	DELETE_HOT_CUE_7_D = 108,
	DELETE_HOT_CUE_8_A = 109,
	DELETE_HOT_CUE_8_B = 110,
	DELETE_HOT_CUE_8_C = 111,
	DELETE_HOT_CUE_8_D = 112,
	LOOP_A = 113, // set toggles loop state (no params), get returns loop state 
	LOOP_B = 114,
	LOOP_C = 115,
	LOOP_D = 116,
	LEAP_A = 117,
	LEAP_B = 118,
	LEAP_C = 119,
	LEAP_D = 120,
	LOOP_MOVE_BACKWARD_A = 121, // set moves loop (no params), get returns nothing 
	LOOP_MOVE_BACKWARD_B = 122,
	LOOP_MOVE_BACKWARD_C = 123,
	LOOP_MOVE_BACKWARD_D = 124,
	LOOP_MOVE_FORWARD_A = 125,
	LOOP_MOVE_FORWARD_B = 126,
	LOOP_MOVE_FORWARD_C = 127,
	LOOP_MOVE_FORWARD_D = 128,
	LOOP_HALF_A = 129, // set halfs loop size (no params), get returns nothing 
	LOOP_HALF_B = 130,
	LOOP_HALF_C = 131,
	LOOP_HALF_D = 132,
	LOOP_DOUBLE_A = 133, // set doubles loop size (no params), get returns nothing 
	LOOP_DOUBLE_B = 134,
	LOOP_DOUBLE_C = 135,
	LOOP_DOUBLE_D = 136,
	LOOP_SIZE_A = 137, // set changes loop size (param1: < 40 decrement otherwise increment), get returns loop size ("1/32", "1/16", "1/8", "1/4", "1/2", "1", "2", "4", "8", "16", "32") via integers 
	LOOP_SIZE_B = 138,
	LOOP_SIZE_C = 139,
	LOOP_SIZE_D = 140,
	LOOP_IN_A = 141, // set saves loop in point (no params), get returns nothing
	LOOP_IN_B = 142,
	LOOP_IN_C = 143,
	LOOP_IN_D = 144,
	LOOP_OUT_A = 145, // set saves loop out point (no params), get returns nothing
	LOOP_OUT_B = 146,
	LOOP_OUT_C = 147,
	LOOP_OUT_D = 148,
	RELOOP_A = 149, // set enables reloop (no params), get returns nothing
	RELOOP_B = 150,
	RELOOP_C = 151,
	RELOOP_D = 152,
	DVS_ABSOLUTE_MODE_A = 153, // set enables dvs mode (no params), get returns dvs mode
	DVS_ABSOLUTE_MODE_B = 154,
	DVS_ABSOLUTE_MODE_C = 155,
	DVS_ABSOLUTE_MODE_D = 156,
	DVS_RELATIVE_MODE_A = 157,
	DVS_RELATIVE_MODE_B = 158,
	DVS_RELATIVE_MODE_C = 159,
	DVS_RELATIVE_MODE_D = 160,
	DVS_INTERNAL_MODE_A = 161,
	DVS_INTERNAL_MODE_B = 162,
	DVS_INTERNAL_MODE_C = 163,
	DVS_INTERNAL_MODE_D = 164,
	DOWNBEAT_A = 165, // set saves downbeat mark (no params), get returns nothing 
	DOWNBEAT_B = 166,
	DOWNBEAT_C = 167,
	DOWNBEAT_D = 168,
	START_POINT_A = 169, // set saves start mark (no params), get returns nothing
	START_POINT_B = 170,
	START_POINT_C = 171,
	START_POINT_D = 172,
	SMARTKNOB_1_A = 173, // set changes smartknob value (param1: from 0.0 to 1.0), get returns smartknob value
	SMARTKNOB_2_A = 174,
	SMARTKNOB_1_B = 175,
	SMARTKNOB_2_B = 176,
	SMARTKNOB_1_C = 177,
	SMARTKNOB_2_C = 178,
	SMARTKNOB_1_D = 179,
	SMARTKNOB_2_D = 180,
	SMARTKNOB_1_ON_A = 181, // set enables smartknob (no params), get returns smartknob state
	SMARTKNOB_2_ON_A = 182,
	SMARTKNOB_1_ON_B = 183,
	SMARTKNOB_2_ON_B = 184,
	SMARTKNOB_1_ON_C = 185,
	SMARTKNOB_2_ON_C = 186,
	SMARTKNOB_1_ON_D = 187,
	SMARTKNOB_2_ON_D = 188,
	CUE_STUTTER_A = 189, // set fires cue stutter (param1: 0 is off & 1 is on), get returns cue point saved state
	CUE_STUTTER_B = 190,
	CUE_STUTTER_C = 191,
	CUE_STUTTER_D = 192,
	REWIND_A = 193, // set rewinds deck (no params), get returns nothing
	REWIND_B = 194,
	REWIND_C = 195,
	REWIND_D = 196,
	KEY_RESET_A = 197, // set resets key (no params), get returns key value
	KEY_RESET_B = 198,
	KEY_RESET_C = 199,
	KEY_RESET_D = 200,
	JOG_A = 201, // set changes jog (param1: <0 is left & >0 is rigth, param2: bend sensitivity, param3: scratch sensitivity), get returns nothing
	JOG_B = 202,
	JOG_C = 203,
	JOG_D = 204,
	JOG_SCRATCH_ON_A = 205, // set jog touch state (param1: 0 is off & 1 is on), get returns jog touch state
	JOG_SCRATCH_ON_B = 206,
	JOG_SCRATCH_ON_C = 207,
	JOG_SCRATCH_ON_D = 208,
	SEEK_A = 209, // set changes position (param1: from 0.0 to 1.0), get returns nothing
	SEEK_B = 210,
	SEEK_C = 211,
	SEEK_D = 212,
	GAIN_A = 213, // set changes gain value (param1: from 0.0 to 1.0), get returns gain value
	GAIN_B = 214,
	GAIN_C = 215,
	GAIN_D = 216,
	GAIN_RESET_A = 217, // set resets gain (no params), get returns gain value
	GAIN_RESET_B = 218,
	GAIN_RESET_C = 219,
	GAIN_RESET_D = 220,
	EQ_HIGH_A = 221, // set changes eq value (param1: from 0.0 to 1.0), get returns eq value
	EQ_HIGH_B = 222,
	EQ_HIGH_C = 223,
	EQ_HIGH_D = 224,
	EQ_HIGH_RESET_A = 225, // set resets eq (no params), get returns eq value
	EQ_HIGH_RESET_B = 226,
	EQ_HIGH_RESET_C = 227,
	EQ_HIGH_RESET_D = 228,
	EQ_HIGH_KILL_A = 229, // set toggles eq kill state (no params), get returns eq kill state
	EQ_HIGH_KILL_B = 230,
	EQ_HIGH_KILL_C = 231,
	EQ_HIGH_KILL_D = 232,
	EQ_MID_A = 233,
	EQ_MID_B = 234,
	EQ_MID_C = 235,
	EQ_MID_D = 236,
	EQ_MID_RESET_A = 237,
	EQ_MID_RESET_B = 238,
	EQ_MID_RESET_C = 239,
	EQ_MID_RESET_D = 240,
	EQ_MID_KILL_A = 241,
	EQ_MID_KILL_B = 242,
	EQ_MID_KILL_C = 243,
	EQ_MID_KILL_D = 244,
	EQ_LOW_A = 245,
	EQ_LOW_B = 246,
	EQ_LOW_C = 247,
	EQ_LOW_D = 248,
	EQ_LOW_RESET_A = 249,
	EQ_LOW_RESET_B = 250,
	EQ_LOW_RESET_C = 251,
	EQ_LOW_RESET_D = 252,
	EQ_LOW_KILL_A = 253,
	EQ_LOW_KILL_B = 254,
	EQ_LOW_KILL_C = 255,
	EQ_LOW_KILL_D = 256,
	FILTER_A = 257, // set changes filter value (param1: from 0.0 to 1.0), get returns filter value
	FILTER_B = 258,
	FILTER_C = 259,
	FILTER_D = 260,
	VOLUME_A = 261, // set changes volume value (param1: from 0.0 to 1.0), get returns volume value
	VOLUME_B = 262,
	VOLUME_C = 263,
	VOLUME_D = 264,
	PFL_A = 265, // set toggles pfl state (no params), get returns pfl state
	PFL_B = 266,
	PFL_C = 267,
	PFL_D = 268,
    CROSSFADER_ASSIGN_LEFT_A = 269, // set changes crossfader assing state (no params), get returns crossfader assing state
	CROSSFADER_ASSIGN_LEFT_B = 270,
	CROSSFADER_ASSIGN_LEFT_C = 271,
	CROSSFADER_ASSIGN_LEFT_D = 272,
	CROSSFADER_ASSIGN_RIGHT_A = 273,
	CROSSFADER_ASSIGN_RIGHT_B = 274,
	CROSSFADER_ASSIGN_RIGHT_C = 275,
	CROSSFADER_ASSIGN_RIGHT_D = 276,
	CROSSFADER = 277, // set changes crossfader value (param1: from 0.0 to 1.0), get returns crossfader value
	CROSSFADER_CURVE = 278, // set changes crossfader curve value (param1: from 0.0 to 1.0), get returns crossfader curve value
	AUTO_CROSSFADER_LEFT = 279,
	AUTO_CROSSFADER_RIGHT = 280,
	MONITOR_VOLUME = 281, // set changes monitor volume value (param1: from 0.0 to 1.0), get returns monitor volume value
	MONITOR_MIX = 282, // set changes monitor mix value (param1: from 0.0 to 1.0), get returns monitor mix value
	MONITOR_PHONE_SPLIT = 283, // set toggles phone split state (no params), get returns phone split state
	MONITOR_OVERDRIVE = 284, // set toggles overdrive state (no params), get returns overdrive state
	BALANCE_A = 285, // set changes balance value (param1: from 0.0 to 1.0), get returns balance value
	BALANCE_B = 286,
	BALANCE_C = 287,
	BALANCE_D = 288,
	PUNCH_A = 289,  // set toggles puch state (no params), get returns punch state
	PUNCH_B = 290,
	PUNCH_C = 291,
	PUNCH_D = 292,
	CUT_A = 293, // set toggles cut state (no params), get returns cut state
	CUT_B = 294,
	CUT_C = 295,
	CUT_D = 296,
	MASTER_VOLUME = 297,  // set changes master volume value (param1: from 0.0 to 1.0), get returns master volume value
	FX_DRY_WET_GROUP_A = 298, // set changes dry/wet value (param1: from 0.0 to 1.0), get returns dry/wet value
	FX_DRY_WET_GROUP_B = 299,
	FX_DRY_WET_GROUP_C = 300,
	FX_DRY_WET_GROUP_D = 301,
	FX_HIGH_BAND_GROUP_A = 302, // set toggles state (no params), get returns state
	FX_HIGH_BAND_GROUP_B = 303,
	FX_HIGH_BAND_GROUP_C = 304,
	FX_HIGH_BAND_GROUP_D = 305,
	FX_MID_BAND_GROUP_A = 306,
	FX_MID_BAND_GROUP_B = 307,
	FX_MID_BAND_GROUP_C = 308,
	FX_MID_BAND_GROUP_D = 309,
	FX_LOW_BAND_GROUP_A = 310,
	FX_LOW_BAND_GROUP_B = 311,
	FX_LOW_BAND_GROUP_C = 312,
	FX_LOW_BAND_GROUP_D = 313,
	EFFECT_PARAM_1_GROUP_A = 314, // set changes value (param1: from 0.0 to 1.0), get returns value
	EFFECT_PARAM_2_GROUP_A = 315,
	EFFECT_PARAM_3_GROUP_A = 316,
	EFFECT_ON_1_GROUP_A = 317, // set toggles state (no params), get returns state
	EFFECT_ON_2_GROUP_A = 318,
	EFFECT_ON_3_GROUP_A = 319,
	EFFECT_SELECT_1_GROUP_A = 320, // set changes effect (param1: from 0.0 to 1.0), get returns effect
	EFFECT_SELECT_2_GROUP_A = 321,
	EFFECT_SELECT_3_GROUP_A = 322,
	EFFECT_PARAM_1_GROUP_B = 323,
	EFFECT_PARAM_2_GROUP_B = 324,
	EFFECT_PARAM_3_GROUP_B = 325,
	EFFECT_ON_1_GROUP_B = 326,
	EFFECT_ON_2_GROUP_B = 327,
	EFFECT_ON_3_GROUP_B = 328,
	EFFECT_SELECT_1_GROUP_B = 329,
	EFFECT_SELECT_2_GROUP_B = 330,
	EFFECT_SELECT_3_GROUP_B = 331,
	EFFECT_PARAM_1_GROUP_C = 332,
	EFFECT_PARAM_2_GROUP_C = 333,
	EFFECT_PARAM_3_GROUP_C = 334,
	EFFECT_ON_1_GROUP_C = 335,
	EFFECT_ON_2_GROUP_C = 336,
	EFFECT_ON_3_GROUP_C = 337,
	EFFECT_SELECT_1_GROUP_C = 338,
	EFFECT_SELECT_2_GROUP_C = 339,
	EFFECT_SELECT_3_GROUP_C = 340,
	EFFECT_PARAM_1_GROUP_D = 341,
	EFFECT_PARAM_2_GROUP_D = 342,
	EFFECT_PARAM_3_GROUP_D = 343,
	EFFECT_ON_1_GROUP_D = 344,
	EFFECT_ON_2_GROUP_D = 345,
	EFFECT_ON_3_GROUP_D = 346,
	EFFECT_SELECT_1_GROUP_D = 347,
	EFFECT_SELECT_2_GROUP_D = 348,
	EFFECT_SELECT_3_GROUP_D = 349,
	FX_DRY_WET_RESET_GROUP_A = 350, // set resets dry/wet value (no params), get returns dry/wet value
	FX_DRY_WET_RESET_GROUP_B = 351,
	FX_DRY_WET_RESET_GROUP_C = 352,
	FX_DRY_WET_RESET_GROUP_D = 353,
	SAMPLER_MASTER_VOLUME = 354, // set changes sampler master volume value (param1: from 0.0 to 1.0), get returns sampler master volume value
	SAMPLER_MASTER_VOLUME_RESET = 355, // set resets value (no params), get returns value
	SAMPLER_PFL = 356, // set toggles state (no params), get returns state
	SAMPLER_PREVIEW_PLAY_STOP = 357, // set toggles state (no params), get returns state
	SAMPLER_RECORD_LOOP = 358, // set record loop (no params), get returns nothing
	SAMPLER_LOOP_SIZE = 359, // set changes loop size (param1: < 40 decrement otherwise increment), get returns loop size ("1/32", "1/16", "1/8", "1/4", "1/2", "1", "2", "4", "8", "16") via integers 
	SAMPLER_SYNC = 360, // set toggles state (no params), get returns state
	SAMPLER_PLAY_PAD_1 = 361, // set fires sampler pad (param1: 0 is off & 1 is on), get returns playing state
	SAMPLER_PLAY_PAD_2 = 362,
	SAMPLER_PLAY_PAD_3 = 363,
	SAMPLER_PLAY_PAD_4 = 364,
	SAMPLER_PLAY_PAD_5 = 365,
	SAMPLER_PLAY_PAD_6 = 366,
	SAMPLER_PLAY_PAD_7 = 367,
	SAMPLER_PLAY_PAD_8 = 368,
	SAMPLER_PLAY_PAD_9 = 369,
	SAMPLER_PLAY_PAD_10 = 370,
	SAMPLER_PLAY_PAD_11 = 371,
	SAMPLER_PLAY_PAD_12 = 372,
	SAMPLER_PLAY_PAD_13 = 373,
	SAMPLER_PLAY_PAD_14 = 374,
	SAMPLER_PLAY_PAD_15 = 375,
	SAMPLER_PLAY_PAD_16 = 376,
	GROSSBEAT_PAD_A_1 = 377, // set fires grossbeat pad (param1: 0 is off & 1 is on), get returns running state
	GROSSBEAT_PAD_A_2 = 378,
	GROSSBEAT_PAD_A_3 = 379,
	GROSSBEAT_PAD_A_4 = 380,
	GROSSBEAT_PAD_A_5 = 381,
	GROSSBEAT_PAD_A_6 = 382,
	GROSSBEAT_PAD_A_7 = 383,
	GROSSBEAT_PAD_A_8 = 384,
	GROSSBEAT_PAD_B_1 = 385,
	GROSSBEAT_PAD_B_2 = 386,
	GROSSBEAT_PAD_B_3 = 387,
	GROSSBEAT_PAD_B_4 = 388,
	GROSSBEAT_PAD_B_5 = 389,
	GROSSBEAT_PAD_B_6 = 390,
	GROSSBEAT_PAD_B_7 = 391,
	GROSSBEAT_PAD_B_8 = 392,
	GROSSBEAT_PAD_C_1 = 393,
	GROSSBEAT_PAD_C_2 = 394,
	GROSSBEAT_PAD_C_3 = 395,
	GROSSBEAT_PAD_C_4 = 396,
	GROSSBEAT_PAD_C_5 = 397,
	GROSSBEAT_PAD_C_6 = 398,
	GROSSBEAT_PAD_C_7 = 399,
	GROSSBEAT_PAD_C_8 = 400,
	GROSSBEAT_PAD_D_1 = 401,
	GROSSBEAT_PAD_D_2 = 402,
	GROSSBEAT_PAD_D_3 = 403,
	GROSSBEAT_PAD_D_4 = 404,
	GROSSBEAT_PAD_D_5 = 405,
	GROSSBEAT_PAD_D_6 = 406,
	GROSSBEAT_PAD_D_7 = 407,
	GROSSBEAT_PAD_D_8 = 408,
	PLAYLIST_UP = 409, 
	PLAYLIST_DOWN = 410,
	PLAYLIST_PAGE_UP = 411,
	PLAYLIST_PAGE_DOWN = 412,
	PLAYLIST_SELECT = 413, // set changes selected item (param1: < 40 up otherwise down), get returns nothing
	PLAYLIST_LOAD_A = 414,
	PLAYLIST_LOAD_B = 415,
	PLAYLIST_LOAD_C = 416,
	PLAYLIST_LOAD_D = 417,
	PLAYLIST_PREVIEW = 418,
	PREVIEW_PLAY_PAUSE = 419,
	DIRECTORY_UP = 420,
	DIRECTORY_DOWN = 421,
	DIRECTORY_SELECT = 422,
	DIRECTORY_ENTER = 423,
	DIRECTORY_EXIT = 424,
	FILE_BROWSER_UP = 425,
	FILE_BROWSER_DOWN = 426,
	FILE_BROWSER_SELECT = 427, // set changes selected item (param1: < 40 up otherwise down), get returns nothing
	FILE_BROWSER_ENTER = 428,
	FILE_BROWSER_EXIT = 429,
	FILE_BROWSER_LOAD_A = 430,
	FILE_BROWSER_LOAD_B = 431,
	FILE_BROWSER_LOAD_C = 432,
	FILE_BROWSER_LOAD_D = 433,
	FILE_BROWSER_PREVIEW = 434,
	AUTOMIX_ON_OFF = 435,  // set toggles state (no params), get returns state
	SNAP = 436,  // set toggles state (no params), get returns state
	VST_DRY_WET_SLOT_A = 437,  // set changes dry/wet value (param1: from 0.0 to 1.0), get returns dry/wet value
	VST_DRY_WET_SLOT_B = 438,
	VST_DRY_WET_SLOT_C = 439,
	VST_DRY_WET_SLOT_D = 440,
	VST_ON_SLOT_A = 441, // set toggles state (no params), get returns state
	VST_ON_SLOT_B = 442,
	VST_ON_SLOT_C = 443,
	VST_ON_SLOT_D = 444,
	VST_INSERT_SEND_SIGNAL_ROUTING_SLOT_A = 445, // set toggles state (no params), get returns state
	VST_INSERT_SEND_SIGNAL_ROUTING_SLOT_B = 446,
	VST_INSERT_SEND_SIGNAL_ROUTING_SLOT_C = 447,
	VST_INSERT_SEND_SIGNAL_ROUTING_SLOT_D = 448,
	VST_PARAM_1_SLOT_A = 449, // set changes value (param1: from 0.0 to 1.0), get returns value
	VST_PARAM_1_SLOT_B = 450,
	VST_PARAM_1_SLOT_C = 451,
	VST_PARAM_1_SLOT_D = 452,
	VST_PARAM_2_SLOT_A = 453,
	VST_PARAM_2_SLOT_B = 454,
	VST_PARAM_2_SLOT_C = 455,
	VST_PARAM_2_SLOT_D = 456,
        LOOP_MOVE_SIZE_A = 457, // set move loop size ((param1: < 40 decrement otherwise increment), get returns loop move size ("1/32", "1/16", "1/8", "1/4", "1/2", "1", "2", "4", "8", "16", "32") via integers 
	LOOP_MOVE_SIZE_B = 458,
	LOOP_MOVE_SIZE_C = 459,
	LOOP_MOVE_SIZE_D = 460,
    CUE_PLAY_A = 461, // set changes cue play state (param1: 0 is off & 1 is on), get returns cue play state
	CUE_PLAY_B = 462,
	CUE_PLAY_C = 463,
	CUE_PLAY_D = 464,
    DISK_RECORDER = 465, // set toggles disk recording state (no params), get returns disk recording state 
	LEVEL_METER_A = 1001, // set does nothing, get returns level meter value (0...1 scale)
	LEVEL_METER_B = 1002,
	LEVEL_METER_C = 1003,
	LEVEL_METER_D = 1004,
	MASTER_LEVEL_METER_L = 1005, // set does nothing, get returns maser level meter value (0...1 scale)
	MASTER_LEVEL_METER_R = 1006
};

// EOF